<?php include "Views/templates/header.php"; ?>

</div>
<!-- /.row -->
<section class="content">
  <div class="container-fluid">
    <div class="row">

      <div class="col-md-6">
        <div class="card card-primary">
          <div class="card-header border-info fw-bold ">
            <i class="fas fa-chart-bar"></i> Ventas totales por mes
            <!-- <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
              </button>
              <button type="button" class="btn btn-tool" data-card-widget="remove">
                <i class="fas fa-times"></i>
              </button>
            </div> -->
            <div class="form-inline">
                <select id="year1" class="form-control form-control-sm align-middle">
                  <?php
                  $fecha = date('Y');
                  for ($i = 2021; $i <= $fecha; $i++) { ?>
                    <option value="<?php echo $i; ?>" <?php echo ($i == $fecha) ? 'selected' : ''; ?>><?php echo $i; ?></option>
                  <?php } ?>
                </select>
                <button class='btn btn-success btn-sm ml-2' onclick="actualizarGraficoVentasMes()"><i class="fas fa-sync-alt"></i> Actualizar</button>
            </div>
          </div>
          <div class="card-body">
            <div class="chart">
              <!-- Sales Chart Canvas -->
              <canvas id="comparacion1" height="180" style="height: 250px;"></canvas>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="card card-warning">
          <div class="card-header border-info fw-bold ">
            <i class="fas fa-chart-line"></i> Venta de sucursales por año
       
            <div class="form-inline">
                <select id="year2" class="form-control form-control-sm align-middle">
                  <?php
                  $fecha = date('Y');
                  for ($i = 2021; $i <= $fecha; $i++) { ?>
                    <option value="<?php echo $i; ?>" <?php echo ($i == $fecha) ? 'selected' : ''; ?>><?php echo $i; ?></option>
                  <?php } ?>
                </select>
                <button class='btn btn-success btn-sm ml-2' onclick="actualizarGraficoVentasSucursalAnual()"><i class="fas fa-sync-alt"></i> Actualizar</button>
            </div>
          </div>
          <div class="card-body">
            <div class="chart">
              <!-- Sales Chart Canvas -->
              <canvas id="comparacion2" height="180" style="height: 250px;"></canvas>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="card card-secondary">
          <div class="card-header border-info fw-bold ">
            <i class="fas fa-chart-bar"></i> Ventas mensuales de sucursal

            <div class="form-inline">

                <div class="input-group input-group-sm form-inline" style='width:290px;'>
                  <input type="date" class="form-control" id='fecha1_comporacion3'>
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-exchange-alt"></i></span>
                  </div>
                  <input type="date" class="form-control" id='fecha2_comporacion3'>
                </div>

                <button class='btn btn-success btn-sm ml-2' onclick="actualizarGraficoVentasSucursalMes()"><i class="fas fa-sync-alt"></i> Actualizar</button>
            </div>

          </div>
          <div class="card-body">
            <div class="chart">
              <!-- Sales Chart Canvas -->
              <canvas id="comparacion3" height="180" style="height: 250px;"></canvas>
            </div>
          </div>
        </div>
      </div>

      <div class="col-md-6">
        <div class="card card-info">
          <div class="card-header border-info fw-bold ">
            <i class="fas fa-chart-bar"></i> Ventas por vendedor
            
            
            <div class="form-inline">
                <div class="input-group input-group-sm form-inline" style='width:290px;'>
                  <input type="date" class="form-control" id='fecha1_comporacion4'>
                  <div class="input-group-prepend">
                    <span class="input-group-text" id="inputGroup-sizing-sm"><i class="fas fa-exchange-alt"></i></span>
                  </div>
                  <input type="date" class="form-control" id='fecha2_comporacion4'>
                </div>

                <select id="sucursal4" class="form-control form-control-sm align-middle ml-2">
                  <option value='0'>TODAS</option>
                  <?php
                  foreach($data['sucursales'] as $value) { ?>
                    <option value="<?php echo $value['id']; ?>">[<?php echo $value['id']; ?>] <?php echo $value['nombre']; ?></option>
                  <?php } ?>
                </select>

                <button class='btn btn-success btn-sm ml-2' onclick="actualizarGraficoVentasVendedor()"><i class="fas fa-sync-alt"></i> Actualizar</button>
            </div>

          </div>
          <div class="card-body">
            <div class="chart">
              <!-- Sales Chart Canvas -->
              <canvas id="comparacion4" height="180" style="height: 250px;"></canvas>
            </div>
          </div>
        </div>
      </div>


      <div class="col-md-6">
        <div class="card card-danger">
          <div class="card-header border-info fw-bold">
            <i class="fas fa-chart-line"></i> Comparación de Compras y Ventas por Mes
            <!-- <div class="card-tools">
              <button type="button" class="btn btn-tool" data-card-widget="collapse">
                <i class="fas fa-minus"></i>
              </button>
              <button type="button" class="btn btn-tool" data-card-widget="remove">
                <i class="fas fa-times"></i>
              </button>
            </div> -->

            <div class="form-inline">
                <select id="year5" class="form-control form-control-sm align-middle">
                  <?php
                  $fecha = date('Y');
                  for ($i = 2021; $i <= $fecha; $i++) { ?>
                    <option value="<?php echo $i; ?>" <?php echo ($i == $fecha) ? 'selected' : ''; ?>><?php echo $i; ?></option>
                  <?php } ?>
                </select>
                <button class='btn btn-success btn-sm ml-2' onclick="actualizarGrafico()"><i class="fas fa-sync-alt"></i> Actualizar</button>
            </div>
          </div>
          <div class="card-body">
            <div class="chart">
              <!-- Sales Chart Canvas -->
              <canvas id="comparacion" height="180" style="height: 250px;"></canvas>
            </div>
          </div>
        </div>
      </div>

      
    </div>
    <!-- /.row -->
  </div><!-- /.container-fluid -->
</section>
<?php include "Views/templates/footer.php"; ?>