<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Reporte</title>
<style type='text/css'>
    <? require('./Assets/css/' . $data['estilo']) ?>
</style>

</head>

<body style="padding: 0;">

<table id="datos-empresa" cellpadding='5' style='margin-bottom:0px;'>
        <tr>
            <td class="logo" width='20%'>
                <img src="<?php echo base_url . 'Assets/img/logo-factura.png'; ?>" alt="" width='152'>
            </td>
            <td class="info-empresa" width='40%'>
                <table>
                    <tr><td style='background:#000;font-size:5mm;color:#fff;font-weight:bold;'>FACTURA CAMBIARIA</td></tr>
                    <tr><td style='font-size:4mm;color:#000;font-weight:bold;'><?php echo $data['sucursal']['comercio']; ?></td></tr>
                    <tr><td style='font-size:3mm;color:#000;font-weight:bold;'><?php echo $data['sucursal']['emisor']; ?></td></tr>
                    <tr><td style='font-size:3mm;color:#000;line-height:4mm;'>
                        <?php echo $data['sucursal']['direccion']; ?>, <?php echo $data['sucursal']['municipio']; ?><br/>
                        <?php echo $data['sucursal']['departamento']; ?><br/>
                        PBX: <?php echo $data['sucursal']['telefono']; ?><br/>
                        <strong>
                        NIT: <?php echo $data['sucursal']['nit']; ?></strong><br/>
                        <strong>PATENTE DE COMERCIO No. <span><?php echo $data['sucursal']['patente']; ?></span></strong>
                    </td></tr>
                </table>
            </td>

            <td class="info-detalle" width='40%'>
                <table align='right'>
                    <tr><td style='font-size:4mm;color:#000;font-weight:bold;border-bottom:1px solid #333;' colspan='2'>Documento Tributario Electrónico</td></tr>
                    <tr><td style='font-size:3.5mm;color:#000;font-weight:bold;padding:0px;' colspan='2'>NÚMERO AUTORIZACIÓN</td></tr>
                    <tr><td style='font-size:3mm;color:#000;font-weight:bold;padding:0px;' colspan='2'><?php echo $data['venta']['autorizacion']; ?></td></tr>
                    <tr><td style='font-size:3.5mm;color:#000;font-weight:bold;padding:0px;'>Serie:</td><td style='font-size:3mm;color:#000;font-weight:bold;width:30mm;'><?php echo $data['venta']['seriefel']; ?></td></tr>
                    <tr><td style='font-size:3.5mm;color:#000;font-weight:bold;padding:0px;'>Número de DTE:</td><td style='font-size:3mm;color:#000;font-weight:bold;width:30mm;'><?php echo $data['venta']['numfel']; ?></td></tr>
                    <tr><td style='font-size:3.5mm;color:#000;font-weight:bold;padding:0px;' colspan='2'>Fecha y Hora de Certificación:</td></tr>
                    <tr><td style='font-size:3mm;color:#000;font-weight:bold;padding:0px;' colspan='2'><?php echo date('d/m/Y h:i:s A',strtotime($data['venta']['fechaproc'])); ?></td></tr>
                </table>
            </td>

        </tr>
    </table>

    <div id="container-info">
        <table>
            <tr>
                <td width='70%' style='vertical-align:top;'>
                    <p style='font-size:3.5mm;'><strong>DIA:</strong> <?php echo date('d',strtotime($data['venta']['fecha'])); ?>&nbsp;&nbsp;<strong>MES:</strong> <?php echo date('m',strtotime($data['venta']['fecha'])); ?>&nbsp;&nbsp;<strong>AÑO:</strong> <?php echo date('Y',strtotime($data['venta']['fecha'])); ?></p>
                    <p style='font-size:1mm;'>&nbsp;</p>
                    <p style='font-size:3.5mm;'><strong>NOMBRE:</strong> <?php echo $data['venta']['nomcliente']; ?></p>
                    <p style='font-size:3.5mm;'>
                        <strong><? if($data['venta']['tipoid']==1) { echo 'NIT:'; } else if($data['venta']['tipoid']==2) { echo 'CUI:'; } else if($data['venta']['tipoid']==3) { echo 'PASAPORTE:'; } ?></strong>
                        <?php echo $data['venta']['nitcliente']; ?></p>                        
                    <p style='font-size:3.5mm;'><strong>DIRECCIÓN:</strong> <?php echo $data['venta']['direccion']; ?></p><br/>
                    <p style='font-size:3.5mm;'><strong>CODIGO: </strong><span><?php echo $data['venta']['id_cliente']; ?></span>
                    &nbsp;&nbsp;&nbsp;&nbsp;<strong>VENDEDOR:</strong> <span><?php echo $data['venta']['id_vendedor']; ?></span>
                    &nbsp;&nbsp;&nbsp;&nbsp;<strong>FORMA DE PAGO:</strong><span>
                    
                    <?php 
                        if ($data['venta']['forma_pago'] == 1) 
                        {
                            $dataformapago = '<span class="badge badge-info">CONTADO</span>';
                        } else {
                            $dataformapago = '<span class="badge badge-warning">CREDITO</span>';
                        };
                    ?>
                    
                    <?php echo $dataformapago; ?></span></p><br/>

                </td>
                <td width='30%' style='text-align:center;'>
                    <p style='font-size:3mm;'><strong>(LIBRE DE PROTESTO)</strong><br/>
                    ESTA FACTURA NO ES COMPROBANTE DE
                    PAGO, EXIJA EL RECIBO DE CAJA
                    CORRESPONDIENTE</p><br/>

                    <p style='font-size:2.8mm;'><strong>SUJETO A PAGOS TRIMESTRALES ISR</strong></p><br/>
                    <p style='font-size:3.5mm;'><strong>CORRELATIVO # <span><?php echo $data['venta']['id']; ?></span></strong></p><br/>
                </td>                
            </tr>

        </table>
    </div>

    <div id="detalle-factura">
        <table id="container-producto" cellpadding='0' cellspacing='0'>
            <thead>
                <tr>
                    <th style='width:15mm;'>CODIGO</th>
                    <th style='width:18mm;'>CANTIDAD</th>
                    <th>DESCRIPCION</th>
                    <th style='width:20mm;'>PRECIO<BR/>UNITARIO</th>
                    <th style='width:20mm;'>IMPORTE</th>
                    <th style='width:23mm;border-right:0 none;'>IMPUESTO</th>
                </tr>
            </thead>
            <tbody>

                <?php
                $descuento = 0;
                $padding_init='padding-top:0.5mm;';
                foreach ($data['detalle'] as $producto) {
                    $descuento += $producto['descuento']; ?>
                    <tr>
                        <td style='text-align:right;<?php echo $padding_init;?>'><?php echo $producto['codigo']; ?></td>
                        <td style='text-align:right;<?php echo $padding_init;?>'><?php echo $producto['cantidad']; ?></td>
                        <td style='<?php echo $padding_init;?>'><?php echo $producto['descripcion']; ?></td>
                        <td style='text-align:right;<?php echo $padding_init;?>'>Q.<?php echo number_format($producto['precio'], 2); ?></td>
                        <td style='text-align:right;<?php echo $padding_init;?>'>Q.<?php echo number_format($producto['cantidad'] * $producto['precio'], 2); ?></td>
                        <td style='text-align:right;border-right:0 none;<?php echo $padding_init;?>'><small style='font-size:2mm;'>IVA</small> Q.<?php echo number_format($producto['iva'], 2); ?></td>
                    </tr>
                <?php
                        $padding_init='';
                    } 
                ?>
                <?php
                for($n=0;$n<(18-count($data['detalle']));$n++)
                {
                    ?>
                    <tr>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td>&nbsp;</td>
                        <td style='border-right:0 none;'>&nbsp;</td>
                    </tr>                    
                    <?php
                }
                ?>
                <tr>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td style='text-align:center;font-size:2.8mm;font-weight:bold;'>NO SE ACEPTAN CAMBIOS NI DEVOLUCIONES</td>
                    <td>&nbsp;</td>
                    <td>&nbsp;</td>
                    <td style='border-right:0 none;'>&nbsp;</td>
                </tr>                
                
                <tr>
                    <td style='border-right:0.25mm solid #000;border-top:0.25mm solid #000;font-size:2.5mm;line-height:3mm;padding-top:1mm;padding-bottom:1mm;' colspan='3'>
                    <STRONG>TOTAL EN LETRAS</STRONG><BR/><?php echo $data['total_letras']; ?>
                    </td>
                    <td style='background-color:#b3b3b3;border-top:0.25mm solid #000;font-weight:bold;font-size:3mm;text-align:right'>TOTAL</td>
                    <td style='border-right:0.25mm solid #000;border-top:0.25mm solid #000;text-align:right;font-weight:bold;font-size:3mm;'>Q.<?php echo number_format($data['venta']['total'], 2); ?></td>
                    <td style='background-color:#b3b3b3;border-right:0 none;border-top:0.25mm solid #000;'>&nbsp;</td>
                </tr>                

            </tbody>
        </table>
    </div>

    <div style='height:2mm;'></div>

    <table cellpadding='0' cellspacing='0' style='width:203.5mm;height:24mm;margin-left:3mm;'>
        <tr>
            <td id='abonos'>
                <h5 style='font-size:4mm;'>ABONOS</h5>
                <hr style='font-size:2mm;line-height:2mm;margin:0px;margin-bottom:2mm;border:0px;color:#fff;'/>
                <p style='font-size:3mm;'>
                    <strong>No.:</strong> 1<br/>
                    <strong>Abono:</strong> Q.<?php echo number_format($data['venta']['total'], 2); ?><br/>
                    <strong>Fecha de Vencimiento:</strong> <?php echo date('d/m/Y',strtotime($data['venta']['fecha'])); ?>
                </p>
            <td>
            <td id='texto_abonos'>Se servirá(n) usted(es) pagar esta única Factura Cambiaría libre de protesto a la orden o endoso de <?php echo $data['sucursal']['comercio']; ?> la totalidad de su importe. Valor recibido que asentará(n) usted(es) en su cuenta según nuestro aviso. Si el aceptante-comprador incurriere en atraso en el pago de esta factura acepta un cargo de interés del 2% mensual. La falta de pago de uno sólo de los abonos convenidos, dará por vencidos los demás plazos a favor del comprador y hará exigible el saldo de la obligación, por el carácter de Factura Cambiaría. El aceptante comprador y el avalista aceptan las condiciones de esta factura. La mercadería sigue siendo de nuestra propiedad hasta su cancelación total.<td>
        </tr>
    
    </table>

    <table cellpadding='0' cellspacing='0' style='width:100%;height:24mm;margin-left:3mm;'>
        <tr>
            <td id='anotacion_qr'>
                <div id='observaciones'>
                    <strong>OBSERVACIONES:</strong><br/><br/><?php echo nl2br($data['venta']['anotacion']); ?>
                </div>
                <div id='certificador'>
                    <strong>CERTIFICADOR:</strong> MEGAPRINT, S.A. <strong>NIT:</strong> 50510231
                </div>
            </td>
            <td id='qrimage' style=''>
                <img src='<?php echo $data['qr']; ?>' style='width:28mm;'/><br/>VERIFICACIÓN SAT
            </td>
        </tr>
    </table>

    <div id='firma_sello'>FIRMA Y SELLO DEL COMPRADOR-CLIENTE</div>
    <div id='firma_nombre'>NOMBRE:</div>
    <div id='firma_dpi'>DPI No.:</div>
    <div id='por_divemosa'>POR <?php echo $data['sucursal']['comercio']; ?></div>
    <div id='hoja'>1. ORIGINAL CLIENTE</div>

<pagebreak />

<table id="datos-empresa" cellpadding='5' style='margin-bottom:0px;'>
        <tr>
            <td class="logo" width='20%'>
                <img src="<?php echo base_url . 'Assets/img/logo-factura.png'; ?>" alt="" width='120'>
            </td>
            <td class="info-empresa" width='40%'>
                <table>
                    <tr><td style='background:#000;font-size:5mm;color:#fff;font-weight:bold;'>RECIBO DE PAGO</td></tr>
                    <tr><td style='font-size:4mm;color:#000;font-weight:bold;'><?php echo $data['sucursal']['comercio']; ?></td></tr>
                    <tr><td style='font-size:2.5mm;color:#000;font-weight:bold;line-height:2.5mm;'><?php echo $data['sucursal']['emisor']; ?></td></tr>
                    <tr><td style='font-size:2.5mm;color:#000;line-height:2.8mm;'>
                        <?php echo $data['sucursal']['direccion']; ?>, <?php echo $data['sucursal']['municipio']; ?><br/>
                        <?php echo $data['sucursal']['departamento']; ?><br/>
                        PBX: <?php echo $data['sucursal']['telefono']; ?><br/>
                        <strong>NIT: <?php echo $data['sucursal']['nit']; ?></strong><br/>
                        <strong>PATENTE DE COMERCIO No. <span><?php echo $data['sucursal']['patente']; ?></span></strong>
                    </td></tr>
                </table>
            </td>

            <td class="info-detalle" width='40%'></td>

        </tr>
</table>

    <div id='container-info-header'>
            <div id='container-numero_recibo'>
                    RECIBO DE CAJA No. <?php echo $data['venta']['id']; ?>
            </div>        
            <div id='container-fecha_recibo'>
                <table id="container-producto" cellpadding='0' cellspacing='0' style='sbackground-color: #f00;margin-bottom:0px;'>
                    <tr>
                        <td class='recibo_dia' style='border-right:2px solid #000;'><strong style='font-size:3mm;'>DÍA</strong><br/><?php echo date('d',strtotime($data['venta']['fecha'])); ?></td>
                        <td class='recibo_mes' style='border-right:2px solid #000;'><strong style='font-size:3mm;'>MES</strong><br/><?php echo date('m',strtotime($data['venta']['fecha'])); ?></td>
                        <td class='recibo_anio' style='border-right:2px solid #000;'><strong style='font-size:3mm;'>AÑO</strong><br/><?php echo date('Y',strtotime($data['venta']['fecha'])); ?></td>
                        <td class='recibo_total'><strong style='font-size:3mm;'>POR</strong><br/>Q.<?php echo number_format($data['venta']['total'], 2); ?></td>
                    </tr>
                </table>
            </div>
            <div id="container-info">

            <table>
                <tr>
                    <th style='width:28mm;'>RECIBIMOS DE:</th>
                    <td style='border-bottom:1px dotted #bbb;padding-left:20px;'><?php echo $data['venta']['nomcliente']; ?></td>
                </tr>
            </table>
            <table>
                <tr>
                    <th style='width:32mm;'>LA CANTIDAD DE:</th>
                    <td style='border-bottom:1px dotted #bbb;padding-left:5px;'><?php echo $data['total_letras']; ?></td>
                </tr>                
            </table>
            <table>
                <tr>
                    <th style='width:24mm;'>EFECTIVO Q.:</th>
                    <td style='border-bottom:1px dotted #bbb;'>&nbsp;</td>
                    <th style='width:24mm;'>CHEQUE No.:</th>
                    <td style='border-bottom:1px dotted #bbb;'>&nbsp;</td>
                    <th style='width:14mm;'>BANCO:</th>
                    <td style='border-bottom:1px dotted #bbb;'>&nbsp;</td>
                    <th style='width:17mm;'>TOTAL Q.</th>
                    <td style='border-bottom:1px dotted #bbb;padding-left:20px;width:26mm;'><?php echo number_format($data['venta']['total'], 2); ?></td>
                </tr>                
            </table>

            <table>
                <tr>
                    <td style='width:50%;text-align:center;vertical-align:top;padding-top:1mm;'>
                        <small style='font-size:1.9mm;'><strong>EL PAGO SE EFECTUA CON CHEQUE Y RESULTA SIN FONDOS, ESTE RECIBO NO SE CONSIDERA COMPROBANTE DE CANCELACIÓN, CARGANDO Q.100.00 POR GASTOS ADMINISTRATIVOS</strong></small>
                        <br/><br/><br/><br/><br/>
                        <hr style='color:#000;height:1px;margin-bottom:2px;padding-left:20mm;'>
                        <div style='width:80mm;'><strong>POR <?php echo $data['sucursal']['comercio']; ?></strong></div>
                        <small style='font-size:1.9mm;'><strong>NOTA: este recibo es el único comprobante de pago que la empresa reconoce</strong></small>
                    </td>
                    <td style='width:50%;vertical-align:top;padding-left:0px;padding-right:0px;padding-top:1mm;'>

                        <table cellpadding='0'>
                            <tr>
                                <th style='width:24mm;'>PREFECHADO:</th>
                                <td style='width:6mm;'><input type="checkbox" style='background:#fff;font-size:4mm;'></td>
                                <th style='width:14mm;'>FECHA:</th>
                                <td style='border-bottom:1px dotted #bbb;'>&nbsp;</td>
                            </tr>                
                        </table>

                        <table cellpadding='0'>
                            <tr>
                                <th style='width:14mm;'>SERIE:</th>
                                <td style='border-bottom:1px dotted #bbb;'><?php echo $data['venta']['seriefel']; ?></td>
                                <th style='width:14mm;'>DTE:</th>
                                <td style='border-bottom:1px dotted #bbb;'><?php echo $data['venta']['numfel']; ?></td>
                            </tr>                
                        </table>
                        
                        <table cellpadding='0'>
                            <tr><td style='border-bottom:1px dotted #bbb;'>&nbsp;</td></tr>
                            <tr><td style='border-bottom:1px dotted #bbb;'>&nbsp;</td></tr>
                            <tr><td style='border-bottom:1px dotted #bbb;'>&nbsp;</td></tr>
                            <tr><td style='border-bottom:1px dotted #bbb;'>&nbsp;</td></tr>
                        </table>
                    </td>
                </tr>                
            </table>

            </div>
    </div>

</body>

</html>
