<?php
class ApartadosModel extends Query
{
    public function __construct()
    {
        parent::__construct();
    }
    public function getProCod(string $cod)
    {
        $sql = "SELECT * FROM productos WHERE codigo LIKE '%" . $cod . "%' AND estado = 1 OR descripcion LIKE '%" . $cod . "%' AND estado = 1";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function getCli(string $table, string $nombre)
    {
        $sql = "SELECT * FROM $table WHERE nombre LIKE '%" . $nombre . "%' AND estado = 1";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function getProducto(int $id)
    {
        $sql = "SELECT * FROM productos WHERE id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function getDatos(string $table, int $id)
    {
        $sql = "SELECT * FROM $table WHERE id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function registrarDetalle(int $id_producto, int $id_usuario, string $precio, int $cantidad, string $sub_total)
    {
        $sql = "INSERT INTO detalle(id_producto, id_usuario, precio, cantidad, sub_total) VALUES (?,?,?,?,?)";
        $datos = array($id_producto, $id_usuario, $precio, $cantidad, $sub_total);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function registrarDetalleV(int $id_producto, int $id_usuario, string $precio, int $cantidad, string $sub_total)
    {
        $sql = "INSERT INTO detalle_temp (id_producto, id_usuario, precio, cantidad, sub_total) VALUES (?,?,?,?,?)";
        $datos = array($id_producto, $id_usuario, $precio, $cantidad, $sub_total);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function getDetalle(int $id)
    {
        $sql = "SELECT d.*, p.descripcion FROM detalle_temp_apartado d INNER JOIN productos p ON d.id_producto = p.id WHERE d.id_usuario = $id";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function getComprobar(int $id, int $usuario, string $table)
    {
        $sql = "SELECT * FROM $table WHERE id_producto = $id AND id_usuario = $usuario";
        $data = $this->select($sql);
        return $data;
    }
    public function verificarStock(string $table, int $id)
    {
        $sql = "SELECT d.id, d.id_producto, p.id, p.cantidad FROM $table d INNER JOIN productos p ON p.id = d.id_producto WHERE d.id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function getCot_Apart(string $table, int $id)
    {
        $sql = "SELECT * FROM $table WHERE id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function calcularTotal(int $id_usuario)
    {
        $sql = "SELECT SUM(sub_total) AS total FROM detalle_temp_apartado WHERE id_usuario = $id_usuario";
        $data = $this->select($sql);
        return $data;
    }
    public function calcularDescuento(int $folio)
    {
        $sql = "SELECT descuento, SUM(descuento) AS total FROM detalle_ventas WHERE folio = $folio";
        $data = $this->select($sql);
        return $data;
    }
    public function calcularCotizacion(int $folio, string $table)
    {
        $sql = "SELECT sub_total, SUM(sub_total) AS total FROM $table WHERE folio = $folio";
        $data = $this->select($sql);
        return $data;
    }
    public function deleteDetalle(int $id, string $table)
    {
        $sql = "DELETE FROM $table WHERE id = ?";
        $datos = array($id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function insertarVenta(int $id, string $total, int $id_cli, string $fecha, string $hora, int $forma, int $tipo, int $serie)
    {
        $sql = "INSERT INTO ventas (id_usuario, total, id_cliente, fecha, hora, forma_pago, tipo, serie) VALUES (?,?,?,?,?,?,?,?)";
        $datos = array($id, $total, $id_cli, $fecha, $hora, $forma, $tipo, $serie);
        $data = $this->insertar($sql, $datos);
        if ($data > 0) {
            $res = $data;
        } else {
            $res = 0;
        }
        return $res;
    }
    public function insertarApartado(int $id, string $total, int $id_cli, string $retiro, string $monto_abono, string $nota,string $fecha)
    {
        $sql = "INSERT INTO apartados (id_usuario, total, id_cliente, fecha_recojo, monto_abono, nota ,fecha) VALUES (?,?,?,?,?,?,?)";
        $datos = array($id, $total, $id_cli,$retiro, $monto_abono, $nota,$fecha);
        $data = $this->insertar($sql, $datos);
        if ($data > 0) {
            $res = $data;
        } else {
            $res = 0;
        }
        return $res;
    }
    public function insertarCredito(int $id, string $total, int $id_cli,string $restante, string $fecha, int $id_usuario)
    {
        $sql = "INSERT INTO creditos (venta, monto, cliente, restante, fecha, id_usuario) VALUES (?,?,?,?,?,?)";
        $datos = array($id, $total, $id_cli,$restante, $fecha, $id_usuario);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function registrarDetalles(int $id, int $id_pro, string $cantidad, string $descuento, string $precio, string $sub_total)
    {
        $sql = "INSERT INTO detalle_compra (folio, id_producto, cantidad, descuento, precio, sub_total) VALUES (?,?,?,?,?,?)";
        $datos = array($id, $id_pro, $cantidad, $descuento, $precio, $sub_total);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function registrar(string $table,int $id, int $id_pro, string $cantidad, string $descuento, string $precio, string $sub_total)
    {
        $sql = "INSERT INTO $table (folio, id_producto, cantidad, descuento, precio ,sub_total) VALUES (?,?,?,?,?,?)";
        $datos = array($id, $id_pro, $cantidad, $descuento, $precio, $sub_total);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function eliminarTemp(int $id_usuario, string $table)
    {
        $sql = "DELETE FROM $table WHERE id_usuario = ?";
        $datos = array($id_usuario);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $msg = 'ok';
        }else{
            $msg = 'error';
        }
        return $msg;
    }
    public function getEmpresa()
    {
        $sql = "SELECT * FROM empresa";
        $data = $this->select($sql);
        return $data;
    }

    public function getHistorial(string $table, int $id_usuario)
    {
        $sql = "SELECT c.id, c.nombre, v.* FROM clientes c INNER JOIN $table v ON v.id_cliente = c.id WHERE v.id_usuario = $id_usuario";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function detalleApartados(int $folio)
    {
        $sql = "SELECT d.*, p.cantidad AS stock, p.descripcion FROM apartados a INNER JOIN detalle_apartado d ON d.folio = a.id INNER JOIN productos p ON d.id_producto = p.id WHERE a.id = $folio";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function getDetalleApartado(int $folio)
    {
        $sql = "SELECT d.*, p.descripcion FROM detalle_apartado d INNER JOIN productos p ON d.id_producto = p.id WHERE d.folio = $folio";
        $data = $this->selectAll($sql);
        return $data;
    }
    public function actualizarStock(int $cantidad, int $id)
    {
        $sql = "UPDATE productos SET cantidad = ? WHERE id = ?";
        $datos = array($cantidad, $id);
        $this->save($sql, $datos);
    }
    public function anular(string $table, int $id)
    {
        $sql = "UPDATE $table SET estado = ? WHERE id = ?";
        $datos = array(0, $id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function anularCredito(string $table, int $id)
    {
        $sql = "UPDATE $table SET estado = ? WHERE venta = ?";
        $datos = array(2, $id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function actualizarEstado(string $table, int $estado, int $id)
    {
        $sql = "UPDATE $table SET estado = ? WHERE id = ?";
        $datos = array($estado, $id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            if ($estado == 0) {
                $res = "ok";
            }else{
                $res = "rechazado";
            }
        } else {
            $res = "error";
        }
        return $res;
    }
    public function actualizarCantidad(string $table, string $cant, int $id)
    {
        $sql = "SELECT * FROM $table WHERE id = $id";
        $data = $this->select($sql);
        $sub_total = ($cant * $data['precio']) - $data['descuento'];
        $sql = "UPDATE $table SET cantidad = ?, sub_total = ? WHERE id = ?";
        $datos = array($cant, $sub_total, $id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function actualizarDescuento(string $table, string $desc, int $id)
    {
        $sql = "SELECT * FROM $table WHERE id = $id";
        $data = $this->select($sql);
        $sub_total = ($data['cantidad'] * $data['precio']) - $desc;
        $sql = "UPDATE $table SET descuento = ?, sub_total = ? WHERE id = ?";
        $datos = array($desc, $sub_total ,$id);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function registrarDetalleApart(int $id_producto, int $id_usuario, string $precio, int $cantidad, string $sub_total)
    {
        $sql = "INSERT INTO detalle_temp_apartado(id_producto, id_usuario, precio, cantidad, sub_total) VALUES (?,?,?,?,?)";
        $datos = array($id_producto, $id_usuario, $precio, $cantidad, $sub_total);
        $data = $this->save($sql, $datos);
        if ($data == 1) {
            $res = "ok";
        } else {
            $res = "error";
        }
        return $res;
    }
    public function getApartado(int $id)
    {
        $sql = "SELECT a.*, cl.nombre, cl.telefono, cl.direccion FROM apartados a INNER JOIN clientes cl ON a.id_cliente = cl.id WHERE a.id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function serie(string $table, int $tipo)
    {
        $sql = "SELECT id, tipo, serie FROM $table WHERE tipo = $tipo ORDER BY id DESC LIMIT 1";
        $data = $this->select($sql);
        return $data;
    }
    public function proveedor(int $id)
    {
        $sql = "SELECT c.id, c.id_proveedor, p.* FROM compras c INNER JOIN proveedor p ON p.id = c.id_proveedor WHERE c.id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function clientes(int $id)
    {
        $sql = "SELECT v.id, v.id_cliente, c.* FROM ventas v INNER JOIN clientes c ON c.id = v.id_cliente WHERE v.id = $id";
        $data = $this->select($sql);
        return $data;
    }
    public function verficarCaja(int $id)
    {
        $sql = "SELECT * FROM cajas_cierre WHERE id_usuario = $id AND estado = 1";
        $data = $this->select($sql);
        return $data;
    }
}