<!DOCTYPE html>
<html lang="en">
<head>

    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Sistema de Ventas - Inventarios v2.0</title>

    <!-- Google Font: Source Sans Pro -->
    <link rel="stylesheet" href="https://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,400i,700&display=fallback">
    <!-- Ionicons -->
    <link rel="stylesheet" href="https://code.ionicframework.com/ionicons/2.0.1/css/ionicons.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/icheck-bootstrap.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/jquery-ui.min.css">
    <!-- Theme style -->
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/adminlte.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/DataTables/datatables.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/dataTables.dateTime.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/select2.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/smoke.min.css">
    <link rel="stylesheet" href="<?php echo base_url; ?>Assets/css/custom.css">

</head>



<body class="hold-transition sidebar-mini layout-fixed layout-navbar-fixed layout-footer-fixed">
    <div class="wrapper">

        <!-- Navbar -->
        <nav class="main-header navbar navbar-expand navbar-primary">

            <!-- Left navbar links -->
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link text-light" data-widget="pushmenu" href="#" role="button"><i class="fas fa-bars"></i></a>
                </li>

                <li class="nav-item d-sm-inline-block d-none">
                    <a href="#" class="nav-link"><span class="badge badge-success"><?php echo date('d-M-Y'); ?></span></a>
                </li>

                <li class="nav-item d-sm-inline-block">
                    <a href="<?php echo base_url; ?>usuarios/salir" class="nav-link"><span class="badge badge-danger">Cerrar Sesión</span></a>
                </li>
            </ul>

            <!-- Right navbar links -->
            <ul class="navbar-nav ml-auto">
                <li class="nav-item">
                    <a class="nav-link text-light" data-widget="fullscreen" href="#" role="button">
                        <i class="fas fa-expand-arrows-alt"></i>
                    </a>
                </li>

                <li class="nav-item">
                    <a class="nav-link text-light" data-widget="control-sidebar" data-slide="true" href="#" role="button">
                    <i class="fas fa-th-large"></i>
                    </a>
                </li>
            </ul>

        </nav>

        <!-- /.navbar -->


        <!-- Main Sidebar Container -->

        <aside class="main-sidebar sidebar-dark-warning elevation-4">

            <!-- Brand Logo -->
            <a href="admin\inicio.php" class="brand-link">
                <img src="<?php echo base_url; ?>Assets/img/logo.png" alt="Logo" class="brand-image elevation-0" style="opacity: .9">
                <span class="brand-text font-weight-light"></span>
            </a>

            <!-- Sidebar -->
            <div class="sidebar">
                <!-- Sidebar user panel (optional) -->
                <div class="user-panel mt-3 pb-3 mb-3 d-flex">
                    <div class="image">
                        <?php if (!file_exists('Assets/img/usuarios/' . $_SESSION['id_usuario'] . '.png')) { ?>
                            <img class="img-thumbnail" src="<?php echo base_url; ?>Assets/img/avatar.svg" width="200">
                        <?php } else { ?>
                            <img class="img-thumbnail" src="<?php echo base_url; ?>Assets/img/usuarios/<?php echo $_SESSION['id_usuario']; ?>.png" width="200">
                        <?php } ?>
                    </div>

                    <div class="info">
                        <a href="<?php echo base_url; ?>usuarios/perfil" class="d-block"><?php echo $_SESSION['nombre'] ?></a>
                    </div>
                </div>

                <!-- Sidebar Menu -->

                <nav class="mt-2">
                    <ul class="nav nav-pills nav-sidebar flex-column" data-widget="treeview" role="menu" data-accordion="false">
                        <?php 
                        if ($_SESSION['permisos']['compras']) { ?>
                            <li class="nav-item">
                            <a href="<?php echo base_url; ?>admin" class="nav-link">
                                    <i class="nav-icon fas fa-chart-pie" style='color:Gold'></i>
                                    <p>Escritorio</p>
                                    <span class="badge badge-primary right">Tablero</span>
                                </a>
                            </li>
                        <?php }



                        if (
                            $_SESSION['permisos']['medidas']
                            || $_SESSION['permisos']['categorias']
                            || $_SESSION['permisos']['marcas']
                            || $_SESSION['permisos']['productos']
                        ) { ?>

                            <li class="nav-item">
                                <a href="#" class="nav-link">
                                    <i class="nav-icon fas fas fa-tags"  style='color:White'></i>
                                    <p>Productos<i class="fas fa-angle-right right"></i></p>
                                </a>

                                <ul class="nav nav-treeview">
                                <?php 
                                    if ($_SESSION['permisos']['medidas']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>medidas" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Medidas</p>
                                            </a>
                                        </li>
                                    <?php }

                                    if ($_SESSION['permisos']['categorias']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>categorias" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Categorias</p>
                                            </a>
                                        </li>
                                    <?php }

                                    if ($_SESSION['permisos']['marcas']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>marcas" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Marcas</p>
                                            </a>
                                        </li>
                                    <?php }

                                    if ($_SESSION['permisos']['productos']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>productos" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                            <p>Productos</p>
                                            </a>
                                        </li>
                                    <?php } 
                                ?>
                                </ul>
                            </li>


                        <?php }


if ($_SESSION['permisos']['compras']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-shipping-fast"  style='color:White'></i>

                                    <p>

                                        Proveedores

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>proveedor" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Proveedores</p>

                                        </a>

                                    </li>



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>creditocompras" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Cuentas por Pagar</p>

                                        </a>

                                    </li>



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>creditocompras/abonos" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Pagos y Abonos</p>

                                        </a>

                                    </li>



                                </ul>

                            </li>

                        <?php }







                        if ($_SESSION['permisos']['compras']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-cart-arrow-down"  style='color:White'></i>

                                    <p>

                                        Compras

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>compras/historial" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Ordenes de Compras</p>

                                        </a>

                                    </li>





                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>compras/historial" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Compras</p>

                                        </a>

                                    </li>



                                

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>compras/historial" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Importaciones</p>

                                        </a>

                                    </li>



                                </ul>

                            </li>

                        <?php }









/**                            if ($_SESSION['permisos']['cotizaciones']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-money-bill-alt"></i>

                                    <p>

                                        Cotizaciones

                                        <i class="fas fa-angle-left right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>cotizaciones" class="nav-link">

                                            <i class="fas fa-hand-holding-usd"></i>

                                            <p>Nueva Cotización</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>cotizaciones/historial" class="nav-link">

                                            <i class="fas fa-file-invoice-dollar"></i>

                                            <p>Manejo de Cotizaciones</p>

                                        </a>

                                    </li>

                                </ul>

                            </li>

                        <?php }



**/





                        if ($_SESSION['permisos']['credito_venta']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-user"  style='color:White'></i>                                

                                    <p>

                                        Clientes

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>clientes" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>

                                                Clientes

                                            </p>

                                        </a>

                                    </li>



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>creditoventas" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Cuentas por Cobrar</p>

                                        </a>

                                    </li>



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>creditoventas/abonos" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Pagos y Abonos</p>

                                        </a>

                                    </li>

                                </ul>

                            </li>

                        <?php }







                        if ($_SESSION['permisos']['ventas']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-shopping-cart"  style='color:White'></i>

                                    <p>

                                        Ventas

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

<!--

                                        <li class="nav-item">

                                        <a href="<?php echo base_url; ?>ventas" class="nav-link">

                                            <i class="fas fa-cash-register nav-icon"></i>

                                            <p>Nueva Venta</p>

                                        </a>

                                    </li> -->



                                    <li class="nav-item">
                                        <a href="<?php echo base_url; ?>vendedores" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Vendedores</p>

                                        </a>

                                    </li>





                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>cotizaciones/historial" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Cotizaciones</p>

                                        </a>

                                    </li>



                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>apartados/historial" class="nav-link">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Pedidos</p>

                                        </a>

                                    </li>

    

                                    <li class="nav-item">

                                            <a href="<?php echo base_url; ?>ventas/historial" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Ventas</p>

                                            </a>

                                    </li>

                                </ul>

                            </li>

                        <?php }







                        if (

                            $_SESSION['permisos']['cajas'] ||

                            $_SESSION['permisos']['arqueo'] ||

                            $_SESSION['permisos']['movimiento']

                        ) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-coins"  style='color:White'></i>

                                    <p>

                                        Caja Chica

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <?php if ($_SESSION['permisos']['cajas']) { ?>

                                        <li class="nav-item">

                                            <a href="<?php echo base_url; ?>cajas" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Cajas</p>

                                            </a>

                                        </li>

                                    <?php }

                                    if ($_SESSION['permisos']['arqueo']) { ?>

                                        <li class="nav-item">

                                            <a href="<?php echo base_url; ?>cajas/cierre" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Apertura y Cierre</p>

                                            </a>

                                        </li>

                                    <?php }

                                    if ($_SESSION['permisos']['movimiento']) { ?>

                                        <li class="nav-item">

                                            <a href="<?php echo base_url; ?>cajas/movimiento" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Movimiento de Caja</p>

                                            </a>

                                        </li>

                                    <?php } ?>

                                </ul>

                            </li>

                        <?php }







                        if (

                            $_SESSION['permisos']['cajas'] ||
                            $_SESSION['permisos']['arqueo'] ||
                            $_SESSION['permisos']['movimiento']

                        ) { ?>

                            <li class="nav-item">
                                <a href="#" class="nav-link">
                                    <i class="nav-icon fas fa-landmark"  style='color:White'></i>
                                    <p>
                                        Bancos
                                        <i class="fas fa-angle-right right"></i>
                                    </p>
                                </a>

                                <ul class="nav nav-treeview">

                                    <?php if ($_SESSION['permisos']['cajas']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>bancos/cuentas" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Cuentas Bancarias</p>
                                            </a>
                                        </li>
                                    <?php }

                                    if ($_SESSION['permisos']['arqueo']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>bancos/movimientos" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Movimientos</p>
                                            </a>
                                        </li>
                                    <?php }

                                    if ($_SESSION['permisos']['movimiento']) { ?>
                                        <li class="nav-item">
                                            <a href="<?php echo base_url; ?>bancos/integracion" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Integracion Bancaria</p>
                                            </a>
                                        </li>
                                    <?php } ?>

                                </ul>

                            </li>

                        <?php }









                        if ($_SESSION['permisos']['pdf']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-file-pdf"  style='color:White'></i>

                                    <p>

                                        Reportes

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/ayer" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reportes de Ayer</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/actual" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Actual</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/semana" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte último 7 Días</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/mes" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Último 30 Días</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/mes_anterior" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Mes Anterior</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_pdf/mes_actual" class="nav-link" target="_blank">
                                        <i class="far fa-circle nav-icon"></i>
                                            <p>Reporte Mes Actual</p>

                                        </a>

                                    </li>

                                </ul>

                            </li>

                        <?php }



/*

        if ($_SESSION['permisos']['excel']) { ?>

                            <li class="nav-item">

                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-file-excel"></i>

                                    <p>

                                        Reportes Excel

                                        <i class="fas fa-angle-left right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/ayer" class="nav-link">

                                            <p>Reportes de Ayer</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/actual" class="nav-link">

                                            <p>Reporte Actual</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/semana" class="nav-link">

                                            <p>Reporte último 7 Días</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/mes" class="nav-link">

                                            <p>Reporte Último 30 Días</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/mes_anterior" class="nav-link">

                                            <p>Reporte Mes Anterior</p>

                                        </a>

                                    </li>

                                    <li class="nav-item">

                                        <a href="<?php echo base_url; ?>reportes/reportes_excel/mes_actual" class="nav-link">

                                            <p>Reporte Mes Actual</p>

                                        </a>

                                    </li>

                                </ul>

                            </li>

                        <?php } 

  */

                        



                        if ($_SESSION['permisos']['admin'] || $_SESSION['permisos']['usuarios']) { ?>

                            <li class="nav-item">



                                <a href="#" class="nav-link">

                                    <i class="nav-icon fas fa-cogs" style='color:#3498DB'></i>

                                    <p>

                                        Configuracion

                                        <i class="fas fa-angle-right right"></i>

                                    </p>

                                </a>

                                <ul class="nav nav-treeview">

                                    <?php if ($_SESSION['permisos']['usuarios']) { ?>

                                        <li class="nav-item">

                                            <a href="<?php echo base_url; ?>usuarios" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Usuarios</p>

                                            </a>

                                        </li>

                                    <?php }

                                    if ($_SESSION['permisos']['admin']) { ?>

                                        <li class="nav-item">

                                            <a href="<?php echo base_url; ?>admin/datos" class="nav-link">
                                            <i class="far fa-circle nav-icon"></i>
                                                <p>Configuración General</p>

                                            </a>

                                        </li>

                                    <?php } ?>

                                </ul>

                            </li>

                        <?php }

                        

                        

                        

                        

                        

                        ?>

                    </ul>

                </nav>

                <!-- /.sidebar-menu -->

            </div>

            <!-- /.sidebar -->

        </aside>



        <!-- Content Wrapper. Contains page content -->

        <div class="content-wrapper fondo">

            <!-- /.content-header -->



            <!-- Main content -->

            <section class="content">

                <div class="container-fluid">

                    <br>

                    <!-- Small boxes (Stat box) -->