<?php include "Views/templates/header.php"; ?>

<button class="btn btn-outline-primary mb-2" type="button" onclick="frmVenente();"><i class="fas fa-plus"></i></button>
<button class="btn btn-primary mb-2 btn-toolbar-status" disabled type="button" onclick="btnEditarVen(active_row);"><i class="fas fa-edit"></i></button>

<button class="btn btn-danger mb-2 btn-toolbar-status btn-eliminar" disabled type="button" onclick="btnEliminarVen(active_row);"><i class="fas fa-trash-alt"></i></button>
<button class="btn btn-success mb-2 btn-toolbar-status btn-recuperar" disabled type="button" onclick="btnReingresarVen(active_row);" style="display: none;"><i class="fas fa-toggle-on"></i></button>

<button class="btn btn-info mb-2 btn-toolbar-status" disabled type="button" onclick="btnWhatsappVen(active_row);"><i class="fas fa-comment"></i></button>

<button class="btn btn-success mb-2 btn-toolbar-status" title='Reporte - Antigüedad de Saldos' disabled type="button" onclick="btnReporteAntiguedadSaldos(active_row);"><i class="fas fa-scale-unbalanced"></i></button>
<button class="btn btn-success mb-2 btn-toolbar-status" title='Reporte - Cuentas por Cobrar' disabled type="button" onclick="btnReporteCuentasxCobrar(active_row);"><i class="fas fa-file-invoice-dollar"></i></button>
<button class="btn btn-warning mb-2 btn-toolbar-status" disabled type="button" onclick="btnEditarVen(active_row);"><i class="fas fa-chart-pie"></i></button>


<div class="card shadow-lg">
    <div class="card-body">
        <div class="table-responsive">
            <table class="table table-bordered table-striped display responsive nowrap" id="t_ven" style="width: 100%;">
                <thead>
                    <tr>
                        <th>Id</th>
                        <th>Nombre</th>
                        <th>Telefono</th>
                        <th>% Comision</th>
                        <th>Estado</th>
                        <!-- <th></th>
                        <th></th> -->
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
    </div>
</div>

<div id="nuevo_cliente" class="modal faade" tabindex="-1" role="dialog" aria-labelledby="my-modal-title" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
        <div class="modal-content" >
            <div class="modal-header bg-primary">
                <h5 class="modal-title text-white" id="title">Nuevo Venente</h5>
                <button class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form id="formulario" class="needs-validation" novalidate autocomplete="off">
                <input type="hidden" id="id" name="id">
                <div class="modal-body" style='height:75vh;overflow-y:auto;'>

                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="generales-tab" data-toggle="tab" href="#generales" role="tab" aria-controls="generales" aria-selected="true"><i class="fas fa-user-cog"></i> <span class='d-none d-lg-inline-block'>Generales</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="tdireccion-tab" data-toggle="tab" href="#tdireccion" role="tab" aria-controls="tdireccion" aria-selected="true"><i class="fas fa-map-marker-alt"></i> <span class='d-none d-lg-inline-block'>Dirección</span></a>
                            </li>                            
                            <li class="nav-item">
                                <a class="nav-link" id="parametros-tab" data-toggle="tab" href="#parametros" role="tab" aria-controls="parametros" aria-selected="false"><i class="fas fa-cogs"></i> <span class='d-none d-lg-inline-block'>Parametros</span></a>
                            </li>
                            <li class="nav-item">
                                <a class="nav-link" id="tcontacto-tab" data-toggle="tab" href="#tcontacto" role="tab" aria-controls="tcontacto" aria-selected="false"><i class="fas fa-id-card"></i> <span class='d-none d-lg-inline-block'>Contacto</span></a>
                            </li>
                        </ul>
                        
                        <!-- CAMPOS GENERAL -->
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane fade show active pt-2" id="generales" role="tabpanel" aria-labelledby="generales-tab">
                                    <div class="form-group">
                                        <label for="nombre">Nombre *</label>
                                        <input id="nombre" class="form-control" type="text" name="nombre" placeholder="Nombre del cliente" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El nombre es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="telefono">Telefono *</label>
                                        <input id="telefono" class="form-control" type="text" name="telefono" placeholder="Teléfono del cliente" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El teléfono es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="mensajeria">Mensajería</label>
                                        <input id="mensajeria" class="form-control" type="text" name="mensajeria" placeholder="Teléfono de mensajeria">
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            La mensajeria es requerido
                                        </div>
                                    </div>


                                        <div class="form-group">
                                            <label for="tipoid">Tipo de Identificacion</label>
                                            <select id="tipoid" name="tipoid" class="form-control">
                                                <option value="1">Nit</option>
                                                <option value="2">Dpi</option>
                                                <option value="3">Pasaporte</option>
                                            </select>
                                        </div>


                                    <div class="form-group">
                                        <label for="nit">Numero de Identificacion *</label>
                                        <input id="nit" class="form-control" type="text" name="nit" placeholder="Nit, Dpi, Passaporte"  required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El nit es requerido
                                        </div>
                                    </div>
                            </div>

                            <!-- CAMPOS DIRECCIÓN -->
                            <div class="tab-pane fade pt-2" id="tdireccion" role="tabpanel" aria-labelledby="tdireccion-tab">

                                    <div class="form-group">
                                        <label for="direccion">Dirección *</label>
                                        <input id="direccion" class="form-control" type="text" name="direccion" placeholder="Dirección" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            La direccion es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="municipio">Municipio *</label>
                                        <input id="municipio" class="form-control" type="text" name="municipio" placeholder="Municipio" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El municipio es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="departamento">Departamento *</label>
                                        <input id="departamento" class="form-control" type="text" name="departamento" placeholder="Departamento" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El departamento es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="pais">País *</label>
                                        <select class="form-control" required name="pais" id="pais"></select>

                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El país es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="coordenadas">Coordenadas</label>
                                        <input id="coordenadas" class="form-control" type="text" name="coordenadas" placeholder="Coordenadas">
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            Las coordenadas es requerido
                                        </div>
                                    </div>

                            </div>

                            <!-- CAMPOS PAREMETROS -->
                            <div class="tab-pane fade pt-2" id="parametros" role="tabpanel" aria-labelledby="parametros-tab">

                                    <div class="form-group">
                                        <label for="pais">Estado</label>
                                        <br>
                                        <div id='estado-1' class="btn btn-outline-success disabled p-1 pl-2 pr-2 mb-0 d-none" role="alert">ACTIVO</div>
                                        <div id='estado-0' class="btn btn-outline-danger disabled p-1 pl-2 pr-2 mb-0 d-none" role="alert">INACTIVO</div>
                                    </div>

                                    <div class="form-group">
                                        <label for="limite_credito">Limite de crédito *</label>
                                        <input id="limite_credito" class="form-control" type="number" step="any" min=0 name="limite_credito" placeholder="Límite de crédito" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El límite de crédito es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="dias_credito">Días de crédito *</label>
                                        <input id="dias_credito" class="form-control" type="number" step="any" min=0 name="dias_credito" placeholder="Días de crédito" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El días de crédito es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="pais">Vendedor *</label>
                                        <select class="form-control" required name="id_vendedor1" id="id_vendedor1">
                                        </select>

                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El país es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="tipocliente">Tipo de cliente *</label>
                                        <input id="tipocliente" class="form-control" type="text" name="tipocliente" placeholder="Tipo de Venente" required>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El tipo de cliente es requerido
                                        </div>
                                    </div>
                            </div>

                            <!-- CAMPOS CONTACTO -->
                            <div class="tab-pane fade pt-2" id="tcontacto" role="tabpanel" aria-labelledby="tcontacto-tab">

                                    <div class="form-group">
                                        <label for="Contacto">Contacto</label>
                                        <input id="contacto" class="form-control" type="text" name="contacto" placeholder="Nombre del contacto">
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El contacto es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for=telcontacto">Telefono Contacto</label>
                                        <input id="telcontacto" class="form-control" type="text" name="telcontacto" placeholder="Teléfono del contacto">
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            El teléfono es requerido
                                        </div>
                                    </div>

                                    <div class="form-group">
                                        <label for="observaciones">Observaciones</label>
                                        <textarea id="observaciones" class="form-control" name="observaciones" placeholder="Observaciones" rows="5"></textarea>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            Las observaciones es requeridas
                                        </div>
                                    </div>

                            </div>
                        </div>

                </div>

                <div class="modal-footer justify-content-between">

                    <div class="text-left">
                        <p class="text-info">Todo los campos con * son requeridos.</p>
                    </div>
                    <div class="text-right">
                        <button class="btn btn-outline-primary" type="submit" id="btnAccion">Registrar</button>
                        <button class="btn btn-outline-danger" type="button" data-dismiss="modal">Cancelar</button>
                    </div>

                </div>

            </form>

        </div>

    </div>

</div>

<!-- MODAL ANOTACIONES -->

<div id="modal_anotaciones" class="modal faade" tabindex="-1" role="dialog" aria-labelledby="my-modal-title" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
        <div class="modal-content" >
            <div class="modal-header bg-primary">
                <h5 class="modal-title text-white" id="title">Anotaciones</h5>
                <button class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

            <form id="formularioAnotaciones" class="needs-validation" novalidate autocomplete="off">
                
                <input type="hidden" id="id_vendedor_anotaciones" name="id">

                <div class="modal-body" style='height:75vh;overflow-y:auto;'>

                        <ul class="nav nav-tabs" id="myTab" role="tablist">
                            <li class="nav-item">
                                <a class="nav-link active" id="tcontacto-tab" data-toggle="tab" href="#tcontacto" role="tab" aria-controls="tcontacto" aria-selected="false"><i class="fas fa-id-card"></i> <span class='d-none d-lg-inline-block'>Contacto</span></a>
                            </li>
                        </ul>
                        
                        <!-- CAMPOS CONTACTO -->
                        <div class="tab-content" id="myTabContent">
                            <div class="tab-pane pt-2 active" id="tcontacto" role="tabpanel" aria-labelledby="tcontacto-tab">

                                    <div class="form-group">
                                        <label for="observaciones">Observaciones</label>
                                        <textarea id="observaciones_anotaciones" class="form-control" name="observaciones" placeholder="Observaciones" rows="5"></textarea>
                                        <div class="valid-feedback">
                                            Correcto
                                        </div>
                                        <div class="invalid-feedback">
                                            Las observaciones es requeridas
                                        </div>
                                    </div>

                            </div>
                        </div>

                </div>

                <div class="modal-footer justify-content-between">

                    <div class="text-left">
                        <p class="text-info">Todo los campos con * son requeridos.</p>
                    </div>
                    <div class="text-right">
                        <button class="btn btn-outline-primary" type="submit" id="btnAccionAnotaciones">Modificar</button>
                        <button class="btn btn-outline-danger" type="button" data-dismiss="modal">Cancelar</button>
                    </div>

                </div>

            </form>

        </div>

    </div>

</div>

<!-- MODAL MAP -->

<div id="modal_map" class="modal faade" tabindex="-1" role="dialog" aria-labelledby="my-modal-title" aria-hidden="true">
    <div class="modal-dialog modal-xl modal-dialog-centered" role="document">
        <div class="modal-content" >
            <div class="modal-header bg-primary">
                <h5 class="modal-title text-white" id="title">Ubicación</h5>
                <button class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>

                <div class="modal-body" style='height:75vh;overflow-y:auto;'>
                    <div id="googleMap" style="width:100%;height:100%;"></div>
                </div>

                <div class="modal-footer justify-content-between">
                    <div class="text-left"></div>
                    <div class="text-right">
                        <button class="btn btn-outline-danger" type="button" data-dismiss="modal">Cancelar</button>
                    </div>
                </div>

        </div>

    </div>

</div>


<?php include "Views/templates/footer.php"; ?>